Deeply API Documentation main logoDeeply API Documentation main logo textDeeply API Documentation main logo text
User GuideServer API Reference
Search...
k
LanguageENKO

© 2026 Deeply Inc.

Deeply Logo Icon

Deeply API Documentation

    Release Notes

    Quick Start

    API Quick Start Guide
    Authorization
    Rate Limit

    Architecture

    Overall Architecture
    Edge Server System

    Events

    Events
    Event Categories
    List Events
    GET
    Get An Event
    GET

    Composite Events

    Composite Events
    List Composite Events
    GET
    Get A Composite Event
    GET
    Listen Live Composite Events
    WebSocket

    Live Events

    Live Events
    Listen Live Events
    WebSocket

    Edges

    Edge Server
    List Edge Servers
    GET
    Get An Edge Server
    GET
    Update Edge Server
    PATCH

    Microphones

    Mic Device
    List Mic Devices
    GET
    Get A Mic Device
    GET
    Update Mic Device
    PATCH

    Auth

    Reissue Token
    GET
    1. Reference
    2. Events

    Events API Overview

    Overview of the event object returned by Deeply APIs.

    Last updated: November 11, 2026

    Event ObjectEvent Stream in Deeply System

    Event Object

    The Event object represents a specific event detected by an edge server in the Deeply audio monitoring system, such as a particular sound classified under a label with an associated confidence level. This object contains relevant information, including metadata about the event, the associated audio file, and detailed information about the microphone that recorded the sound.

    Attributes

    id

    • Type: string
    • Description: A unique identifier for the event.

    label

    • Type: object
    • Description: Information about the label assigned to the event.

    label.id

    • Type: string
    • Description: Unique ID of the label.

    label.name

    • Type: object
    • Description: Localized name for the label.
      • ko (string): Korean name.
      • en (string): English name.

    confidence

    • Type: float
    • Description: The confidence score (0.0 to 1.0) indicating the likelihood that the event corresponds to the specified label. Truncated to six decimal places.

    mic

    • Type: object
    • Description: Information about the microphone that recorded this event.
      • id (string): The unique identifier of the microphone.
      • name (string): The name of the microphone.
      • location (object): Geographic location of the microphone.
        • latitude (number): Latitude coordinate (-90 to 90).
        • longitude (number): Longitude coordinate (-180 to 180).

    created_at

    • Type: string, ISO 8601 format
    • Description: The timestamp indicating when the event was created. Uses ISO 8601 format.

    updated_at

    • Type: string, ISO 8601 format
    • Description: The timestamp of the last update to the event. Uses ISO 8601 format.

    Refer to Get Event for a detailed response example.

    Edge Server System
    Event Categories
    Event ObjectAttributesidlabellabel.idlabel.nameconfidencemiccreated_atupdated_at